package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag796;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT796Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT796Creator mt796Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt796Creator = (MT796Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt796Creator.getMtDateTag11a();
        mt796Creator.set("11S", tag11aValue);
    }
}
